{
    onTryHit(target, source, move) {
        if (target !== source && move.flags["powder"]) {
            if (!this.heal(target.baseMaxhp / 4)) {
                this.add("-immune", target, "[from] ability: Honey Gather");
            }
            return null;
        }
    },
    onImmunity(type, pokemon) {
        if (type === "powder")
            return false;
    },
    flags: {},
    name: "Honey Gather",
    rating: 0,
    num: 118
}
